import { BaseMock } from 'typescript-helper-functions';
/**
 * S3 Mock class
 */
export declare class S3Mock extends BaseMock {
    /**
     * Mock an AWS.S3.CopyObjectOutput response
     */
    CopyObjectOutput: AWS.S3.CopyObjectOutput;
    /**
     * Mock an AWS.S3.CreateBucketOutput response
     */
    CreateBucketOutput: AWS.S3.CreateBucketOutput;
    /**
     * Mock an AWS.S3.DeleteBucketOutput response
     * Technically does not exist
     */
    DeleteBucketOutput: object;
    /**
     * Mock an AWS.S3.DeleteObjectOutput response
     */
    DeleteObjectOutput: AWS.S3.DeleteObjectOutput;
    /**
     * Mock an AWS.S3.DeleteObjectsOutput response
     */
    DeleteObjectsOutput: AWS.S3.DeleteObjectsOutput;
    /**
     * Mock an AWS.S3.GetObjectOutput response
     */
    GetObjectOutput: AWS.S3.GetObjectOutput;
    /**
     * Mocks an AWS.S3.PutOjbectOutput response
     */
    PutObjectOutput: AWS.S3.PutObjectOutput;
    /**
     * Create the S3 mock
     */
    protected CreateMock(returnError: boolean): any;
}
